Subject: Re: [linux-fbdev] Re: readl() and friends and eieio on PPC

From: Jes Sorensen <[email-masked]>
Date: 16 Aug 1999 09:11:19 +0200

>>>>> "Paul" == Paul Mackerras <[email-masked]> writes:

Paul> Jes Sorensen <[email-masked]> wrote:
>> Defininf a C function with the name of a PPC specific assembler
>> function is pretty stupid. To the best of my knowledge wmb() is the
>> generic name for the thing you are looking for.

Paul> Not exactly, in fact iobarrier() is probably better.

Hmmmm

Probably right, as long as it is made clear that iobarrier() means
memory mapped I/O and not I/O mapped I/O. The name is easy to
misunderstand IMHO.

Other than that I agree, question is whether we need to add more
functions - it seems we are already overly confused.

Jes

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]